Loading...
Searching...
No Matches
XrdSecsssKT::ktEnt Class Reference

`#include <XrdSecsssKT.hh>`

Collaboration diagram for XrdSecsssKT::ktEnt:

## Classes

struct | ktData

## Public Member Functions

| ktEnt ()
| ~ktEnt ()
void | NUG (ktEnt *ktP)
void | Set (ktEnt &rhs)

## Public Attributes

struct XrdSecsssKT::ktEnt::ktData | Data
ktEnt * | Next

## Static Public Attributes

static const int | allUSR = 1
static const int | anyGRP = 4
static const int | anyUSR = 2
static const int | GrupSZ = 64
static const int | maxKLen = 128
static const int | NameSZ = 192
static const int | noIPCK =16
static const int | UserSZ = 128
static const int | usrGRP = 8

## Detailed Description

Definition at line 44 of file XrdSecsssKT.hh.

## Class Documentation

## XrdSecsssKT::ktEnt::ktData

struct XrdSecsssKT::ktEnt::ktData

Definition at line 53 of file XrdSecsssKT.hh.

Collaboration diagram for XrdSecsssKT::ktEnt::ktData:

Class Members
time_t | Crt |
time_t | Exp |
long long | Flags |
char | Grup[GrupSZ] |
long long | ID |
int | Len |
char | Name[NameSZ] |
int | Opts |
char | User[UserSZ] |
char | Val[maxKLen] |

## Constructor & Destructor Documentation

## ktEnt()

XrdSecsssKT::ktEnt::ktEnt | ( |  | ) |

inline

Definition at line 82 of file XrdSecsssKT.hh.

: Next(0) { Data.ID = -1; Data.Flags= 0; Data.Opts = 0;
*Data.Val = '\0'; *Data.Name = '\0';
*Data.User= '\0'; *Data.Grup = '\0';
}
XrdSecsssKT::ktEnt::Data
struct XrdSecsssKT::ktEnt::ktData Data
XrdSecsssKT::ktEnt::Next
ktEnt * Next
Definition XrdSecsssKT.hh:80

References Data, and Next.

Referenced by NUG(), and Set().

Here is the caller graph for this function:

## ~ktEnt()

XrdSecsssKT::ktEnt::~ktEnt | ( |  | ) |

inline

Definition at line 86 of file XrdSecsssKT.hh.

{}

## Member Function Documentation

## NUG()

void XrdSecsssKT::ktEnt::NUG | ( | ktEnt * | ktP | ) |

inline

Definition at line 72 of file XrdSecsssKT.hh.

{strcpy(Data.Name, ktP->Data.Name);
strcpy(Data.User, ktP->Data.User);
strcpy(Data.Grup, ktP->Data.Grup);
}

References ktEnt(), Data, XrdSecsssKT::ktEnt::ktData::Grup, XrdSecsssKT::ktEnt::ktData::Name, and XrdSecsssKT::ktEnt::ktData::User.

Referenced by XrdSecsssKT::Rewrite().

Here is the call graph for this function:
Here is the caller graph for this function:

## Set()

void XrdSecsssKT::ktEnt::Set | ( | ktEnt & | rhs | ) |

inline

Definition at line 76 of file XrdSecsssKT.hh.

{Data.ID=rhs.Data.ID; Data.Len = rhs.Data.Len;
memcpy(Data.Val, rhs.Data.Val, Data.Len);
Data.Crt=rhs.Data.Crt; Data.Exp=rhs.Data.Exp;
}

References ktEnt(), XrdSecsssKT::ktEnt::ktData::Crt, Data, XrdSecsssKT::ktEnt::ktData::Exp, XrdSecsssKT::ktEnt::ktData::ID, XrdSecsssKT::ktEnt::ktData::Len, and XrdSecsssKT::ktEnt::ktData::Val.

Here is the call graph for this function:

## Member Data Documentation

## allUSR

const int XrdSecsssKT::ktEnt::allUSR = 1

static

Definition at line 66 of file XrdSecsssKT.hh.

Referenced by XrdSecProtocolsss::Authenticate().

## anyGRP

const int XrdSecsssKT::ktEnt::anyGRP = 4

static

Definition at line 68 of file XrdSecsssKT.hh.

Referenced by XrdSecProtocolsss::Authenticate().

## anyUSR

const int XrdSecsssKT::ktEnt::anyUSR = 2

static

Definition at line 67 of file XrdSecsssKT.hh.

Referenced by XrdSecProtocolsss::Authenticate().

## Data

struct XrdSecsssKT::ktEnt::ktData XrdSecsssKT::ktEnt::Data

Referenced by ktEnt(), XrdSecsssKT::addKey(), XrdSecProtocolsss::Authenticate(), XrdSecProtocolsss::getCredentials(), XrdSecsssKT::getKey(), NUG(), XrdSecsssKT::Rewrite(), Set(), XrdSecsssAdmin_addKey(), XrdSecsssAdmin_delKey(), XrdSecsssAdmin_Here(), XrdSecsssAdmin_insKey(), XrdSecsssAdmin_isKey(), and XrdSecsssAdmin_lstKey().

## GrupSZ

const int XrdSecsssKT::ktEnt::GrupSZ = 64

static

Definition at line 51 of file XrdSecsssKT.hh.

Referenced by main().

## maxKLen

const int XrdSecsssKT::ktEnt::maxKLen = 128

static

Definition at line 48 of file XrdSecsssKT.hh.

Referenced by main(), and XrdSecsssAdmin_addKey().

## NameSZ

const int XrdSecsssKT::ktEnt::NameSZ = 192

static

Definition at line 49 of file XrdSecsssKT.hh.

Referenced by main().

## Next

ktEnt* XrdSecsssKT::ktEnt::Next

Definition at line 80 of file XrdSecsssKT.hh.

Referenced by ktEnt(), XrdSecsssKT::addKey(), XrdSecsssKT::delKey(), XrdSecsssKT::getKey(), XrdSecsssKT::Refresh(), XrdSecsssKT::Rewrite(), XrdSecsssAdmin_insKey(), and XrdSecsssAdmin_lstKey().

## noIPCK

const int XrdSecsssKT::ktEnt::noIPCK =16

static

Definition at line 70 of file XrdSecsssKT.hh.

Referenced by XrdSecProtocolsss::Authenticate().

## UserSZ

const int XrdSecsssKT::ktEnt::UserSZ = 128

static

Definition at line 50 of file XrdSecsssKT.hh.

Referenced by main().

## usrGRP

const int XrdSecsssKT::ktEnt::usrGRP = 8

static

Definition at line 69 of file XrdSecsssKT.hh.

Referenced by XrdSecProtocolsss::Authenticate().

The documentation for this class was generated from the following file:

- XrdSecsssKT.hh